apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: prefect-server-gke-ingress
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/auth-type: basic
    nginx.ingress.kubernetes.io/auth-secret: basic-auth
    nginx.ingress.kubernetes.io/auth-realm: 'Authentication Required - admin'
spec:
  rules:
    - http:
       paths:
         - path: /prefect-ui
           backend:
             serviceName: prefect-server-ui
             servicePort: 8080


